# MPI_T_source_get_info

Returns additional information on the source identified by the source_index argument

## Synopsis

    int MPI_T_source_get_info(int source_index, char *name, int *name_len,
                              char *desc, int *desc_len,
                              MPI_T_source_order *ordering,
                              MPI_Count *ticks_per_second, MPI_Count *max_ticks,
                              MPI_Info *info)

## Input Parameters

source_index
  index of the source to be queried between $0$ and $num_sources-1$ (integer)

## Input/Output Parameters

name_len
  length of the string and/or buffer for name (integer)
desc_len
  length of the string and/or buffer for desc (integer)

## Output Parameters

name
  buffer to return the string containing the name of the source (string)
desc
  buffer to return the string containing the description of the source (string)
ordering
  flag indicating chronological ordering guarantees given by the source (integer)
ticks_per_second
  the number of ticks per second for the timer of this source (integer)
max_ticks
  the maximum count of ticks reported by this source before overflow occurs (integer)
info
  info argument (handle)

## Thread and Interrupt Safety

This routine is thread-safe. This means that this routine may be safely used by multiple threads without the need for any user-provided thread locks. However, the routine is not interrupt safe. Typically, this is due to the use of memory allocation routines such as `malloc` or other non-MPICH runtime routines that are themselves not interrupt-safe.

## Errors

All MPI routines (except `MPI_Wtime` and `MPI_Wtick`) return an error value; C routines as the value of the function and Fortran routines in the last argument. Before the value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job. The error handler may be changed with `MPI_Comm_set_errhandler` (for communicators), `MPI_File_set_errhandler` (for files), and `MPI_Win_set_errhandler` (for RMA windows). The MPI-1 routine `MPI_Errhandler_set` may be used but its use is deprecated. The predefined error handler `MPI_ERRORS_RETURN` may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error; however, MPI implementations will attempt to continue whenever possible.

MPI_SUCCESS
  No error; MPI routine completed successfully.

MPI_T_ERR_INVALID
  Invalid use of the interface or bad parameter values(s).

MPI_T_ERR_INVALID_INDEX
  Index is invalid or has been deleted.

MPI_T_ERR_NOT_INITIALIZED
  The MPI tool information interface is not initialized.

MPI_ERR_OTHER
  Other error; use `MPI_Error_string` to get more information about this error code.